urlfns.h File Reference
`#include <gwenhywfar/url.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_URL * | GWEN_Url_fromCommandString (const char *str)
GWENHYWFAR_API GWEN_URL * | GWEN_Url_fromString (const char *str)
GWENHYWFAR_API int | GWEN_Url_toCommandString (const GWEN_URL *url, GWEN_BUFFER *buf)
GWENHYWFAR_API int | GWEN_Url_toString (const GWEN_URL *url, GWEN_BUFFER *buf)
GWENHYWFAR_API void | GWEN_Url_toUiShortString (const GWEN_URL *url, GWEN_BUFFER *buf)

## Function Documentation

## GWEN_Url_fromCommandString()

GWENHYWFAR_API GWEN_URL * GWEN_Url_fromCommandString | ( | const char * | str | ) |

References GWENHYWFAR_API.

## GWEN_Url_fromString()

GWENHYWFAR_API GWEN_URL * GWEN_Url_fromString | ( | const char * | str | ) |

Parses the given string and returns an URL object (if the string is ok).

References GWENHYWFAR_API.

## GWEN_Url_toCommandString()

GWENHYWFAR_API int GWEN_Url_toCommandString | ( | const GWEN_URL * | url,
|  | GWEN_BUFFER * | buf )

References GWENHYWFAR_API.

## GWEN_Url_toString()

GWENHYWFAR_API int GWEN_Url_toString | ( | const GWEN_URL * | url,
|  | GWEN_BUFFER * | buf )

References GWENHYWFAR_API.

## GWEN_Url_toUiShortString()

GWENHYWFAR_API void GWEN_Url_toUiShortString | ( | const GWEN_URL * | url,
|  | GWEN_BUFFER * | buf )

Creates a short string for user interface output. This means no password or user id is shown, and no URL vars either.